## heat 24.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
alembic>=1.8.0 # MIT
croniter>=0.3.4 # MIT License
cryptography>=2.5 # BSD/Apache-2.0
eventlet>=0.27.0 # MIT
keystoneauth1>=3.18.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
lxml>=4.5.0 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.14.0  # Apache-2.0
openstacksdk>=0.28.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-blazarclient>=1.0.1 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-ironicclient>=2.8.0  # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.3.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=7.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-vitrageclient>=2.7.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.23.0 # Apache-2.0
tenacity>=6.1.0 # Apache-2.0
tzdata>=2022.4 # MIT
Routes>=2.3.1 # MIT
SQLAlchemy>=1.4.0 # MIT
stevedore>=3.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
heat (1:24.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 18:17:37 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-kombu (>= 5.0.1),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.28.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.7),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.28.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pymysql,
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.1.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=heat

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 '^(?!heat_integrationtests)'
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-heat/usr/etc
	PYTHONPATH=$(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages \
		oslo-config-generator --config-file=etc/heat/heat-config-generator.conf \
		--output-file etc/heat/heat.conf
	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack_heat-(24.\d.*)\.tar\.gz

## heat 24.0.0+git2025070714.13f38bfa1

=== debian/changelog ===
heat (1:24.0.0+git2025070714.13f38bfa1-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/drop-zun.patch: Refresh.
  * d/p/install-missing-files.patch: Refresh.
  * d/p/sudoers_patch.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 11:20:17 -0700

=== debian/control ===
--- 
+++ 
@@ -103,10 +103,11 @@
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
  python3-zaqarclient (>= 1.3.0),
+ python3-zunclient (>= 3.4.0),
  subunit,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
-Homepage: https://wiki.openstack.org/Heat
+Homepage: https://github.com/openstack/heat
 Testsuite: autopkgtest-pkg-python
 
 Package: heat-api
@@ -199,7 +200,7 @@
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy (>= 4.3.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
@@ -224,6 +225,7 @@
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
  python3-zaqarclient (>= 1.3.0),
+ python3-zunclient (>= 3.4.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack orchestration service - Python 3 files

## heat 24.1.0

=== debian/changelog ===
heat (1:24.1.0-2~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 04 Nov 2025 16:32:43 +0000

heat (1:24.1.0-1) UNSTABLE; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:30:12 +0200

heat (1:24.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:53:44 +0200

heat (1:24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:34:34 +0200

heat (1:24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:59:52 +0100

heat (1:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_missing_extension_detection_capability_and_fix_arguments.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:39:56 +0100

## heat 25.0.0~rc1

=== debian/changelog ===
heat (1:25.0.0~rc1-2) experimental; urgency=medium

  * Fixed namespace list when generating heat.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 09:01:02 +0200

heat (1:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch api and api-cfn to module= instead of removed wsgi script.
  * Fixed (build-)depends for this release.
  * Rebased add-heat_api_root-configuration-variable.patch.
  * Removed now gone heat-{api,api-cfn,all} from d/*.install, as scripts are
    also removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 08:35:45 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-aodhclient,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-cryptography,
 python3-ddt,
 python3-designateclient,
 python3-fixtures,
 python3-glanceclient,
 python3-ironicclient,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-mistralclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.2),
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-senlinclient,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 alembic,
 python3-aodhclient,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-croniter,
 python3-cryptography,
 python3-designateclient,
 python3-glanceclient,
 python3-greenlet,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ironicclient,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-memcache,
 python3-mistralclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.2),
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-senlinclient,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

## heat 25.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 alembic>=1.8.0 # MIT
 croniter>=0.3.4 # MIT License
 cryptography>=2.5 # BSD/Apache-2.0
-eventlet>=0.27.0 # MIT
 keystoneauth1>=3.18.0 # Apache-2.0
 keystonemiddleware>=5.1.0 # Apache-2.0
 lxml>=4.5.0 # BSD
@@ -25,7 +24,7 @@
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
-oslo.service>=1.24.0 # Apache-2.0
+oslo.service[threading]>=4.2.2 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
@@ -43,7 +42,6 @@
 python-magnumclient>=2.3.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
 python-mistralclient>=3.1.0 # Apache-2.0
-python-monascaclient>=1.12.0 # Apache-2.0
 python-neutronclient>=7.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-octaviaclient>=1.8.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD

=== contrib/heat_docker/requirements.txt ===
docker>=2.4.2  # Apache-2.0

=== debian/changelog ===
heat (1:25.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 11:44:25 -0700

heat (1:25.0.0~rc1-0ubuntu3) questing; urgency=medium

  * heat-api and heat-api-cfn have migrated away from a systemd daemon to
    Apache/mod_wsgi architecture. This migration involves the following file
    changes.
  * d/control: Add dh-apache2 to Build-Depends for heat-api and heat-api-cfn
    as these services now require apache2.
  * d/rules: Add dh-apache helper - required to read the debian/*.apache files. 
  * d/heat-api.conf, heat-api-cfn.conf: Add new apache2 configuration file.
  * d/heat-api.apache2, heat-api-cfn.apache2: Enable sites using the dh_apache2
    helper added to d/rules.
  * d/tests/control: Add new dependencies for Apache2-based autopkgtests.
  * d/tests/heat-wsgi: Test modified heat-api and heat-api-cfn services.
  * d/heat-api.init.in: Drop obsolete file.
  * d/heat-api-cfn.init.in: Drop obsolete file.
  * d/heat-api-cfn.maintscript: Clean up legacy SysV init conffiles.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 26 Sep 2025 12:14:30 -0700

heat (1:25.0.0~rc1-0ubuntu2) questing; urgency=medium

  * d/control: Drop zunclient already patched out.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 25 Sep 2025 14:11:36 -0700

heat (1:25.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/drop-zun.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 15:02:02 -0700

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-kombu (>= 5.0.1),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.28.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.7),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://github.com/openstack/heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.28.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pymysql,
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.1.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with apache2,python3 --buildsystem=pybuild
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/tests/control ===
Tests: heat-wsgi
Depends:
 heat-api,
 heat-api-cfn,
 apache2,
 libapache2-mod-wsgi-py3
Restrictions: needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/heat/ openstack_heat-(\d{1,2}\.\d.*)\.tar\.gz

## heat 25.0.0%2Bgit20260124.b471f4a

=== requirements.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 netaddr>=0.7.18 # BSD
 neutron-lib>=1.14.0  # Apache-2.0
 openstacksdk>=0.28.0 # Apache-2.0
+os-service-types>=1.2.0 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0

## heat 25.0.0+git20260124.b471f4a

=== debian/changelog ===
heat (1:25.0.0+git20260124.b471f4a-0ubuntu1) resolute; urgency=medium

  [ Myles Penner ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.

  [ Guillaume Boutry ]

  [ Myles Penner ]
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * d/p/*: Refresh patches
  * d/patches/*: refresh patches
  * New upstream snapshot from b471f4a02a2d40527b103ff534114a9568bb5e2e
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 27 Jan 2026 14:57:15 -0800

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with apache2,python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --with apache2,python3 --buildsystem=pybuild
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/heat/ openstack_heat-(\d{1,2}\.\d.*)\.tar\.gz

## heat 2013.1

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
 po-debconf,
 python-all (>= 2.6.6-3~),
 openstack-pkg-tools (>= 4)
Build-Depends-Indep: pep8 (>= 1.3.3),
 python-argparse,
 python-babel,
 python-boto,
 python-cinderclient,
 python-coverage,
 python-crypto,
 python-eventlet (>= 0.9.16),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.1),
 python-httplib2,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lxml (>= 2.3),
 python-lxml (<< 2.3.6),
 python-memcache,
 python-migrate,
 python-mox,
 python-nose,
 python-nosexcover,
 python-novaclient,
 python-oslo.config,
 python-pastedeploy,
 python-paramiko,
 python-pycryptopp,
 python-qpid,
 python-quantumclient,
 python-routes,
 python-sendfile,
 python-setuptools,
 python-sphinx,
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-webob,
 python-yaml
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: web
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends},
 python-argparse,
 python-boto,
 python-cinderclient,
 python-crypto,
 python-eventlet (>= 0.9.16),
 python-extras,
 python-glanceclient,
 python-greenlet (>= 0.3.1),
 python-httplib2,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lxml (>= 2.3),
 python-lxml (<< 2.3.6),
 python-memcache,
 python-migrate,
 python-novaclient,
 python-oslo.config,
 python-pastedeploy,
 python-pycryptopp, 
 python-qpid,
 python-quantumclient,
 python-routes,  
 python-sendfile,  
 python-setuptools,
 python-sqlalchemy (>= 0.7.8),
 python-swiftclient,
 python-webob,
 python-yaml
Description: service to orchestrate multiple composite cloud applications (python files)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}, python-heat (=${binary:Version}),
 adduser
Description: service to orchestrate multiple composite cloud applications (common files)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${ostack-lsb-base}, ${python:Depends}, ${misc:Depends}, heat-common (=${binary:Version}),
 adduser
Description: service to orchestrate multiple composite cloud applications (engine)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${ostack-lsb-base}, ${python:Depends}, ${misc:Depends}, heat-common (=${binary:Version}),
 adduser
Description: service to orchestrate multiple composite cloud applications (ReST API)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all   
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${ostack-lsb-base}, ${python:Depends}, ${misc:Depends}, heat-common (=${binary:Version}),
 adduser
Description: service to orchestrate multiple composite cloud applications (CFN API)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CFN API

Package: heat-api-cloudwatch
Architecture: all    
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${ostack-lsb-base}, ${python:Depends}, ${misc:Depends}, heat-common (=${binary:Version}),
 adduser
Description: service to orchestrate multiple composite cloud applications (Cloudwatch API)
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the cloudwatch API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -u
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info
	find . -iname '*.pyc' -delete
	rm -f \
		debian/heat-api-cfn.config \
		debian/heat-api-cfn.postinst \
		debian/heat-api-cloudwatch.config \
		debian/heat-api-cloudwatch.postinst \
		debian/heat-api.config \
		debian/heat-api.postinst \
		debian/heat-common.postinst \
		debian/heat-engine.config \
		debian/heat-engine.postinst

override_dh_install:
	dh_install
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-engine/usr/share/heat-engine/heat-engine.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cloudwatch/etc/heat/heat-api-cloudwatch.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api-cfn/etc/heat/heat-api-cfn.conf
	sed -i 's/^[ \t]*rpc_backend[ \t]*=[ \t]*heat.openstack.common.rpc.impl_qpid/rpc_backend=heat.openstack.common.rpc.impl_kombu/' $(CURDIR)/debian/heat-api/etc/heat/heat-api.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cloudwatch.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-engine.postinst

override_dh_installman:
	make -C doc man
	dh_installman
